Bug 94343 - UI: Move options "Use only paper size from printer preferences" + ".. paper try .." from tab Options to printer properties dialog or at least tab General
Summary: UI: Move options "Use only paper size from printer preferences" + ".. paper t...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 98073 98979 105960 (view as bug list)
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2015-09-18 15:50 UTC by tmacalp
Modified: 2018-10-27 21:41 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tmacalp 2015-09-18 15:50:04 UTC
Since LibreOffice 4.1-ish, the print properties dialog's paper size and orientation fields have been ignored unless you first enable "Use only paper size from printer preferences," which is hidden under the Options tab of the main print dialog.

Starting in LibreOffice 5.0, the paper size and orientation fields are now disabled (greyed out) and can not be set without first checking "Use only paper size from printer preferences."  This is a giant step in the right direction in terms of making it obvious that these settings are not being used.

Unfortunately, it's still not clear to users what they need to change to be able to use these settings.  The option to enable these settings needs to be adjacent to them.

There are currently a few bugs affected by "Use only paper size from printer preferences" that make it extremely annoying/unintuitive.

bug 79077 - setting is forgotten immediately after printing and has no way of setting global default

bug 94342 - page size/orientation fields aren't enabled when brochure/multi-page page layouts selected.

At least having this setting in a logical place would go a long way towards working around these bugs.
Comment 1 Cor Nouws 2015-09-18 17:41:43 UTC
There is a recent discussion on the UX-list
  http://listarchives.libreoffice.org/global/design/msg07254.html

The latter mails have some sort of summary. But reading this and 65205 again, not the final ;)

Making the options more visible, is one of the ideas.
Your idea is moving it to the dialog File > Printer (select printer) .. > Properties? (Is that dialog LibreOffice own?)

Downside of moving the option there would be, that (unless it's sticky, possibly per document) one has to open the dialog every time to set the option?
Comment 2 tmacalp 2015-09-18 19:56:16 UTC
(In reply to Cor Nouws from comment #1)
> There is a recent discussion on the UX-list
>   http://listarchives.libreoffice.org/global/design/msg07254.html
> 
> The latter mails have some sort of summary. But reading this and 65205
> again, not the final ;)

Very interesting.  Thanks for the link.  It appears that the print system is really quite complicated and requires a bit of research/experience to make any changes.

> Making the options more visible, is one of the ideas.
> Your idea is moving it to the dialog File > Printer (select printer) .. >
> Properties? (Is that dialog LibreOffice own?)

Yes, I want to move the checkbox that enables those two fields to be next to them.  And yes, I'm talking about the standard Linux LibreOffice print dialog.  I'm not familiar with MS Windows/Mac OS print dialogs.

> Downside of moving the option there would be, that (unless it's sticky,
> possibly per document) one has to open the dialog every time to set the
> option?

As far as I know, those fields should be initialized with the values from your page format, so the only time you'll need to check that box is if you're making changes.

And I strongly believe that it should be sticky per document, but from reading comments from your mailing list link, it appears that making it sticky is not as straight forward as one would think.

Currently, every time one opens the dialog, they need to tick that setting to be able to modify paper size/orientation.  On the opposite side of the spectrum, there are settings, like brochure mode, that are set even if you hit cancel (Bug 47572).  :)
Comment 3 Cor Nouws 2015-09-18 21:28:51 UTC
Additional question - or two..

In what cases do you use this setting?

Would it be an option to add it next to Format > Page .. tab Page, Paper tray ?
Comment 4 tmacalp 2015-09-18 22:19:27 UTC
(In reply to Cor Nouws from comment #3)
> Additional question - or two..
> 
> In what cases do you use this setting?

Most of my use cases are when I'm using an alternate page layout.  I typically use different paper sizes/orientation when selecting brochure mode in writer to print a letter formatted newsletter on tabloid paper.  I use fit-to-page/distribute on multiple pages in Draw for to shrink diagrams/print on multiple pages.  As I mentioned above, I've submitted bug 94342 to address these cases.

There have been other times where I've allowed my printer to use its own mismatch policy to enlarge/shrink documents.  It's not always possible (easy) to scale up LibreOffice documents/drawings by changing the page format, since font sizes don't scale.  Being able to use these fields has been a secret workaround for some of these cases.

> Would it be an option to add it next to Format > Page .. tab Page, Paper
> tray ?

Users have enough trouble finding the checkbox where it currently is in the print dialog.  I would hate to recommend moving it even further away from the fields it modifies.  I'm assuming this would be put there because it could be more easily saved with the document?  

If you could put the option under page format and have it actually saved with the document (partially solving bug 79077), I would consider it the lesser of the two evils.  If putting it there does not solve the "setting isn't sticky" problem, I'd leave it where it is.  I still think the *right* solution is move the setting next to page size/orientation in the print properties dialog, but realize that it might be too expensive to implement.

Whatever is decided, there should at least be some text in the print properties dialog saying why page size/orientation are disabled and where to go to enable them.
Comment 5 Cor Nouws 2016-02-22 12:02:20 UTC
*** Bug 98073 has been marked as a duplicate of this bug. ***
Comment 6 Cor Nouws 2016-02-22 12:03:00 UTC
set to new
Comment 7 Seascape 2016-02-26 09:46:16 UTC
Speaking as someone who usually (successfully) goes the self-help route to figure out how to make a program operate as desired, I'm perplexed as to why LibreOffice was changed to ignore settings specified in the print Properties box by default. 

This default, which I only learned about in the process of filing a bug report, can't be overridden unless two inconspicuous options ("Use only paper tray from printer preferences", "Use only paper size from printer preferences"), -- which are buried under another tab, no less -- happen to be checked. (Here, I am referring to the Windows version. In Ubuntu, there's only the latter box.)

This is not intuitive UI, and I simply do not understand it at all. How are users supposed to figure out that those boxes need to be checked in order for LibreOffice not to ignore user-selected settings? 

I am not a LibreOffice developer. I do not know what the developers know because I'm not writing the code or designing the UI. Now that I know what to do, I can do it. I'll remember to open up that Options tab and check those boxes when I have a nontypical print job. But before this week, I was in the dark. I could not figure out how to get my documents to print as desired, and I had to resort to using OpenOffice instead. 

I encourage every LO developer to be mindful of the Curse of Knowledge: you don't know what it's like for you not to know what you know. Defeating the Curse of Knowledge isn't easy. It takes imagination. Put yourself in the user's shoes. 

If I go to print a document in *any* application, whether a web browser, email client, or office suite, and I open the Properties in order to pass some instructions along to the printer... for example, print from Tray 1, not Tray 2, convert to grayscale, and expect cardstock, not regular paper -- I expect those settings to be honored by the application. I don't expect them to be discarded when I click OK. Yet that is what is happening in LibreOffice.

Or consider another scenario: If I want to turn on duplexing, but I forget to check that box, twice as much paper will get used because the printer will not have been instructed to print on both sides. 

The current UI is a recipe for user frustration. Please change it. The default should be that LO automatically honors any settings the user specifies in print Properties. That is the behavior users expect.
Comment 8 Cor Nouws 2016-03-30 11:38:44 UTC
this is causing many people trouble, should have a higher importance IMO
Comment 9 Cor Nouws 2016-03-30 11:39:47 UTC
*** Bug 98979 has been marked as a duplicate of this bug. ***
Comment 10 Cor Nouws 2016-03-30 11:41:09 UTC
@bubli: was this issue on your radar?
Comment 11 Katarina Behrens (Inactive) 2016-03-30 12:12:07 UTC
(In reply to Cor Nouws from comment #10)
> @bubli: was this issue on your radar?

Yessir :)
Comment 12 Cor Nouws 2016-03-30 12:15:11 UTC
(In reply to Katarina Behrens (CIB) from comment #11)
 
> Yessir :)
Comment 13 Stefan Weiberg 2016-04-18 14:14:08 UTC
I am going to work on this. Shall I move the "Use only paper tray from printer preferences" as well?
Comment 14 Cor Nouws 2016-04-18 14:31:41 UTC
(In reply to Stefan Weiberg from comment #13)
> I am going to work on this.

Nice - thanks!

> Shall I move the "Use only paper tray from printer preferences" as well?

Makes sense, yes please.

Ciao - Cor
Comment 15 Stefan Weiberg 2016-06-20 06:40:34 UTC
I can't further work on this bug because I will be away for some time and do have some other priorities at work. Therefore I free up this bug for others.
Comment 16 Karl 2016-07-25 07:36:14 UTC
Hi,

I am just here, to file that request by myself.

I set up a few printers on my windows maschine for some different 
pape options Portrait / Landscape -and so on

Just to select these Options by -when printing- selecting the printers.

I do every time have to enter the Options Dialog to get already set options.

MY WISH WAS:
------------

The checkbox "use printers paperoptions only"

should be on "Commons" Dialog register.

It too should be able to be set "as default", to eleminate "Clicking" Options


regards to all programmers
karl
Comment 17 Buovjaga 2017-02-14 05:16:41 UTC
*** Bug 105960 has been marked as a duplicate of this bug. ***
Comment 18 Devuan 2018-10-26 13:51:36 UTC
Hello:

Are there *any* news with respect to this bug?
  
First reported in release 4.1.0.1, (09/2015) it is *still* present in the 5.2.7.2 release I use in my Devuan ASCII installation (Build ID: 1:5.2.7-1+deb9u4).

Unless I am reading the page wrong, it seems that it also remained unassigned as of june 2016.

That's more than two (2) years ago.

I'm not a programmer so I do not have the knowledge or tools needed to help with fixing it (save testing) but I strongly echo user seascape's words from his post (#7) in february 2016, most emphatically his last paragraph:

---

"I encourage every LO developer to be mindful of the Curse of Knowledge: you don't know what it's like for you not to know what you know. Defeating the Curse of Knowledge isn't easy. It takes imagination. Put yourself in the user's shoes."
...

"The current UI is a recipe for user frustration. Please change it. The default should be that LO automatically honors any settings the user specifies in print Properties. That is the behavior users expect."
---

I'd appreciate any comments on this matter.

Thanks in advance.
Comment 19 tmacalp 2018-10-26 14:14:21 UTC
I just tested this with LO 6.1.2.1 and it actually appears to be implemented!  After scanning through 6.1's changelog, it appears to have been implemented here:  

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ee6dad51150fd53d19f882edfefa879e18f9897d

And it was further fixed with bug 119556 to actually sync the two checkboxes.

I've been out of the QA game for a while now, but unless I'm missing something, this can be closed as resolved:fixed.  

Great work, people!
Comment 20 Cor Nouws 2018-10-27 21:41:34 UTC
(In reply to tmacalp from comment #19)
> I just tested this with LO 6.1.2.1 and it actually appears to be
> implemented!  After scanning through 6.1's changelog, it appears to have
> been implemented here:  
thanks for noticing!

I confirm this - so close as resolved.